disp('amma06_daily');
   %************************  daily averages  ***********	
 clear raind rsd rld rnld hnd ud hsd hld tsd tsgd tmxdd t5d jdd latd lond tad rlclrd rsclrd

   jj0=floor(jdy(1));
[nn,nx]=size(jdy);
mx=floor(nn/144);%%+10;   %to solve the gap between the 2 cruises (otherwise we are missing 8 days in the averaging...)
for i=1:mx
   ii=find(floor(jdy)==jj0);
   jdd(i)=mean(jdy(ii));
   raind(i)=mean(org(ii));
	rsd(i)=mean(rs(ii));
   rld(i)=mean(rl(ii));
   rnld(i)=mean(rnl(ii));
	hnd(i)=mean(hnet(ii));
   ud(i)=mean(U(ii));
   hsd(i)=mean(Hsbb(ii));
   hld(i)=mean(Hlbb(ii));
   tsd(i)=mean(Ts(ii));
   tsgd(i)=mean(tsg(ii));
   tmxdd(i)=mean(tmxd(ii));
   t5d(i)=mean(dt5(ii));
   dtd(i)=mean(dtw(ii));
   latd(i)=mean(lat(ii));
   lond(i)=mean(lon(ii));
   rsclrd(i)=mean(Rscl(ii));
   rlclrd(i)=mean(rlcler(ii));
   jj0=jj0+1;   
end;
figure;plot(latd,rsd./rsclrd,'-o');set(gca,'fontsize',14);axis([latmin latmax 0 1.1]);xlabel('Latitude (deg)');ylabel('Cloud Transmission Coef.');   
jj=find(latd>latmin);
figure;plot(1-rsd(jj)./rsclrd(jj),rld(jj)-rlclrd(jj),'o');set(gca,'fontsize',14);axis([0 1 0 100]);xlabel('1-Transmission Coeff.');ylabel('Measured-Clear IR Flux (W/m^2)');
figure;plot(rsclrd(jj)-rsd(jj),rld(jj)-rlclrd(jj),'o',[0 200],[0 80]);set(gca,'fontsize',14);axis([0 200 0 100]);xlabel('SFC Solar Flux (W/m^2)');ylabel('SFC IR Flux (W/m^2)');	
figure;plot(latd,rsd-rsclrd,'-o',latd,rld-rlclrd,[latmin latmax],[0 0 ]);set(gca,'fontsize',14);axis([latmin latmax -250 100]);xlabel('Latitude (deg)');ylabel('Cloud Forcing (W/m^2)');   
figure;plot(jdd,rsd-rsclrd,'-o',jdd,rld-rlclrd,'-x',[stdt endt],[0 0 ]);set(gca,'fontsize',14);axis([stdt endt -250 100]);xlabel('Year Day (2004)');ylabel('Cloud Forcing (W/m^2)');   

