disp('read_co2_texaqs_06.m')
% Opens Channel #1 , which is the SDM protocol from the Licor 7500
% Inputs data from ASCII data files

Licrate=10;%data rate in Hz
Lenlic=3600*Licrate;
Nlenlic=floor(Lenlic/6);


ppp=0;
z=zeros(9,36000);
fclose('all');
if hhh<10,
   dfx2=['0',num2str(hhh)];
else,
   dfx2=num2str(hhh);
end;

if ddd<10,
   dfx1=['00',num2str(ddd)];
elseif ddd<100,
   dfx1=['0',num2str(ddd)];
else,
   dfx1=num2str(ddd);
end;

dfx=[dfx1 dfx2];

dfl=[drive,'\day',dfx1,'\P1_',dfx1,dfx2];

ppp=1;
disp(dfl);

flist=fopen(dfl,'r');

Licor_CO2=[];
Licor_H2O=[];
Licor_Press=[];
Licor_Temp=[];

if flist>0
fgetl(flist);
fgetl(flist);
while ~feof(flist)
   z=fscanf(flist,'%g,%g %g %g %g %g',[6,inf]);
   if isempty(z);
      fgetl(flist);
   end;
   chk=size(z);
   if chk(1)==6,
      Licor_CO2  =[Licor_CO2   z(3,:)];
      Licor_H2O  =[Licor_H2O   z(4,:)];
      Licor_Press=[Licor_Press z(6,:)];
      Licor_Temp =[Licor_Temp  z(5,:)];
   end;
end;

if length(Licor_CO2)<Lenlic,
   Licor_CO2=  [Licor_CO2   (1:Lenlic-length(Licor_CO2)).*0+Licor_CO2(length(Licor_CO2))      ];
   Licor_H2O=  [Licor_H2O   (1:Lenlic-length(Licor_H2O)).*0+Licor_H2O(length(Licor_H2O))      ];
   Licor_Temp= [Licor_Temp  (1:Lenlic-length(Licor_Temp)).*0+Licor_Temp(length(Licor_Temp))   ];
   Licor_Press=[Licor_Press (1:Lenlic-length(Licor_Press)).*0+Licor_Press(length(Licor_Press))];
end;

if length(Licor_CO2)>Lenlic,
   Licor_CO2=Licor_CO2(1:Lenlic);
   Licor_H2O=Licor_H2O(1:Lenlic);
   Licor_Temp=Licor_Temp(1:Lenlic);
   Licor_Press=Licor_Press(1:Lenlic);
end;
else;%if no licor file
   Licor_CO2=  ones(1,Lenlic)*NaN;
   Licor_H2O=  ones(1,Lenlic)*NaN;
   Licor_Temp= ones(1,Lenlic)*NaN;
   Licor_Press=ones(1,Lenlic)*NaN;
end;



Press_1=mean(Licor_Press(1:1*Nlenlic));
Press_2=mean(Licor_Press(1*Nlenlic+1:2*Nlenlic));
Press_3=mean(Licor_Press(2*Nlenlic+1:3*Nlenlic));
Press_4=mean(Licor_Press(3*Nlenlic+1:4*Nlenlic));
Press_5=mean(Licor_Press(4*Nlenlic+1:5*Nlenlic));
Press_6=mean(Licor_Press(5*Nlenlic+1:6*Nlenlic));

std_Press_1=std(Licor_Press(1:1*Nlenlic));
std_Press_2=std(Licor_Press(1*Nlenlic+1:2*Nlenlic));
std_Press_3=std(Licor_Press(2*Nlenlic+1:3*Nlenlic));
std_Press_4=std(Licor_Press(3*Nlenlic+1:4*Nlenlic));
std_Press_5=std(Licor_Press(4*Nlenlic+1:5*Nlenlic));
std_Press_6=std(Licor_Press(5*Nlenlic+1:6*Nlenlic));

%disp('pause');pause