disp('read_gps_stratus_05.m')
% Inputs data from ASCII data files
%  Note:  hhh=hour

if hhh<10,
   dfx2=['0',num2str(hhh)];
else,
   dfx2=num2str(hhh);
end;

if ddd<10,
   dfx1=['00',num2str(ddd)];
elseif ddd<100,
   dfx1=['0',num2str(ddd)];
else,
   dfx1=num2str(ddd);
end;

dfl=[drive,'\day',dfx1,'\P7_',dfx1,dfx2];
disp(dfl)
norman=1;
lincount=0;
gpsmin=[];
gpssec=[];
gpslat=[];
gpslon=[];
gpslat_sign=[];
gpslon_sign=[];
gpsspeed=[];
gpshead=[];

flist=fopen(dfl,'r');
if flist>0;
    headr=fgetl(flist);
    gpshour=[];

while norman==1,
   headr=fgetl(flist);
   if headr==-1,
      norman=0;
      break;
   end;
   if isempty(headr),
      norman=0;
      break;
   end;
   for qq=1:length(headr)-5,
      if headr(qq:qq+5)=='$GPRMC' & length(headr) > qq+54,
         lincount=lincount+1;
         gpstime=headr(qq+7:qq+12);
         gpshour=[gpshour str2num(gpstime(1:2))];
         gpsmin=[gpsmin str2num(gpstime(3:4))];
         gpssec=[gpssec str2num(gpstime(5:6))];
         glt=str2num(headr(qq+16:qq+24));
         bb=floor(glt/100);
         glt=(glt-bb*100)/60;
         glt=glt+bb;
         gpslat_sign=headr(qq+26);
         if gpslat_sign=='S',
            glt=-glt;
            if ~isempty(lat)
               lat=-lat;
            end;
         end;
         gpslat=[gpslat glt];
         gln=str2num(headr(qq+28:qq+37));
         bb=floor(gln/100);
         gln=(gln-bb*100)/60;
         gln=gln+bb;
         gpslon_sign=headr(qq+39);
         if gpslon_sign=='W',
            gln=-gln;
            if ~isempty(lon)
               lon=-lon;
            end;
         end;
         gpslon=[gpslon gln];
         gpsspeed=[gpsspeed str2num(headr(qq+41:qq+45))];
         gpshead=[gpshead str2num(headr(qq+47:qq+51))];
      end;
   end;
end;

if isempty(gpshead)
    gpshead=ones(1,3600)*NaN;
    gpsmin=ones(1,3600)*NaN;
    gpssec=ones(1,3600)*NaN;
    gpslon=ones(1,3600)*NaN;
    gpslat=ones(1,3600)*NaN;
    gpsspeed=ones(1,3600)*NaN;
    gpshour=ones(1,3600)*NaN;
else
       
    if length(gpshead)<3600,
        gpshead=[gpshead ((0:(3600-length(gpshead))).*0)+gpshead(length(gpshead))];
    end
    if length(gpsmin)<3600,
        gpsmin=[gpsmin ((0:(3600-length(gpsmin))).*0)+gpsmin(length(gpsmin))];
    end
    if length(gpssec)<3600,
        gpssec=[gpssec ((0:(3600-length(gpssec))).*0)+gpssec(length(gpssec))];
    end
    if length(gpslon)<3600,
        gpslon=[gpslon ((0:(3600-length(gpslon))).*0)+gpslon(length(gpslon))];
    end
    if length(gpslat)<3600,
        gpslat=[gpslat ((0:(3600-length(gpslat))).*0)+gpslat(length(gpslat))];
    end
    if length(gpsspeed)<3600,
        gpsspeed=[gpsspeed ((0:(3600-length(gpsspeed))).*0)+gpsspeed(length(gpsspeed))];
    end
    if length(gpshour)<3600,
        gpshour=[gpshour ((0:(3600-length(gpshour))).*0)+gpshour(length(gpshour))];
    end
end;

clear qq norman headr glt gln dfx1 dfx2 dfl bb ans dfx gpslat_sign gpslon_sign
clear gpstime

fclose(flist);
else;%no file at all
    gpshead=ones(1,3600)*NaN;
    gpsmin=ones(1,3600)*NaN;
    gpssec=ones(1,3600)*NaN;
    gpslon=ones(1,3600)*NaN;
    gpslat=ones(1,3600)*NaN;
    gpsspeed=ones(1,3600)*NaN;
    gpshour=ones(1,3600)*NaN;
end;

clear flist

%disp('pause');pause