disp('backup_to_harddisk_rhb');
clear dir;
%****   copy raw data   **************************************************************************
disp('Copy of raw data files in progress...')
disp(['FROM: ' way_raw_data]);
disp(['TO: ' way_backup_rawdata]);

copyfile([way_raw_data 'day' num2str(ddd)],[way_backup_rawdata 'day' num2str(ddd)]);

%****   copy processed data   **************************************************************************
disp('Copy of processed data files in progress...')
disp(['FROM: ' way_proc_data]); 
disp([' and   ' way_spec_data]);
disp(['TO: ' way_backup_procdata]);

copyfile([way_proc_data 'flux_5hf' num2str(ddd) '.txt'],way_backup_procdata);
copyfile([way_proc_data 'flux_30hf' num2str(ddd) '.txt'],way_backup_procdata);
copyfile([way_proc_data 'proc_pc' num2str(ddd) '.txt'],way_backup_procdata);
copyfile([way_proc_data 'proc_son' num2str(ddd) '.txt'],way_backup_procdata);
copyfile([way_proc_data 'proc_scs' num2str(ddd) '.txt'],way_backup_procdata);
copyfile([way_proc_data 'proc_rad' num2str(ddd) '.txt'],way_backup_procdata);
% copyfile([way_proc_data 'flux_5hf' cruise year(3:4) '.txt'],way_backup_procdata);
% copyfile([way_proc_data 'flux_30hf' cruise year(3:4) '.txt'],way_backup_procdata);

copyfile([way_spec_data 'w_sp' num2str(ddd) '12.txt'],way_backup_procdata);
copyfile([way_spec_data 'q_sp' num2str(ddd) '12.txt'],way_backup_procdata);

%****   check if data have been copied   **************************************************************************
dir(way_backup_rawdata);
dir(way_backup_procdata);
disp(['Check ifthe backup is correct in ' way_backup_rawdata]);
disp(['Check ifthe backup is correct in ' way_backup_procdata]);